%define momorel 16

%define texmfdir	%{_datadir}/texmf

Summary: dvipdfm is a DVI (TeX) to PDF translator
Name: dvipdfm
Version: 0.13.2c
Release: %{momorel}m
Source0: http://gaspra.kettering.edu/dvipdfm/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: http://hamilcar.phys.kyushu-u.ac.jp/~hirata/dvipdfm/distfiles/patch-psspecial.c
Patch1: dvipdfm-0.13.2b-printf.patch
# for Japanese
Patch10: http://hamilcar.phys.kyushu-u.ac.jp/~hirata/dvipdfm/distfiles/dvipdfm-0.13.2c-jpatch-p1b.diff.gz
Source11: http://hamilcar.phys.kyushu-u.ac.jp/~hirata/dvipdfm/contrib/out2uni.c
Source12: http://hamilcar.phys.kyushu-u.ac.jp/~hirata/dvipdfm/extra/efont.map
# for extra font modules
Patch12: http://hamilcar.phys.kyushu-u.ac.jp/~hirata/dvipdfm/extra/patch-pass-numbersign.diff
Patch13: http://hamilcar.phys.kyushu-u.ac.jp/~hirata/dvipdfm/extra/patch-concat-stream.diff
Patch14: dvipdfm-config.patch
Source100: updmap
#URL: http://gaspra.kettering.edu/dvipdfm/
URL: http://hamilcar.phys.kyushu-u.ac.jp/~hirata/dvipdfm/index.html
License: GPL
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/Publishing
BuildRequires: kpathsea-devel, tetex
BuildRequires: libpng-devel >= 1.2.2
PreReq: sh-utils, kpathsea
Requires: tetex, tetex-dvipsk, tetex-type1

%description
dvidpfm is a DVI to PDF translator for use with TeX.
Japanese patches and utils written by Mr.Hirata was adopted to this package.

you can use this adding

\usepackage[dvipdfm]{color}
\usepackage[dvipdfm,bookmarks=true,bookmarksnumbered=true,%
vookmarkstype=tic]{hyperref]

to your Tex documents's header.

and type

$ platex foo
$ platex foo
$ out2uni -e foo (when you use japanese (with EUC encoding))
$ platex foo
$ dvipdfm foo
#'

%prep
%setup -q -n %{name}
%patch10 -p1 -b .jpatch
%patch14 -p0 -b .config
cp -a %{SOURCE11} ./
chmod -x [A-Z]* doc/* latex-support/*
cp -a latex-support latex-sample
rm -f latex-sample/{Makefile,dvipdfm.def}

%build
%configure
make
(
  cd doc
  tex dvipdfm.tex
  %__rm -f dvipdfm.log
)
make out2uni

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall texmf=%{buildroot}%{texmfdir} install
%__mkdir_p %{buildroot}%{texmfdir}/tex/latex/dvipdfm
%__cp -a latex-support/dvipdfm.def %{buildroot}%{texmfdir}/tex/latex/dvipdfm
%__install -c out2uni %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{texmfdir}/dvipdfm/config/extmap
%__install -m 0644 %{SOURCE12} %{buildroot}%{texmfdir}/dvipdfm/config/extmap
%__install -m 0700 %{SOURCE100} %{buildroot}%{texmfdir}/dvipdfm/config

# No translation at this time.
#%find_lang %name

%post
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null
cd %{texmfdir}/dvipdfm/config
./updmap

%postun
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null
cd %{texmfdir}/dvipdfm/config
./updmap

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog Credits INSTALL* NEWS OBTAINING README* TODO
%doc doc/ latex-sample/
	%{_bindir}/dvipdfm
	%{_bindir}/dvipdft
	%{_bindir}/ebb
	%{_bindir}/out2uni
	%{_mandir}/man1/dvipdfm.1*
%dir	%{texmfdir}/dvipdfm
%dir	%{texmfdir}/dvipdfm/config
%config	%{texmfdir}/dvipdfm/config/config
	%{texmfdir}/dvipdfm/base
	%{texmfdir}/dvipdfm/config/*.map
	%{texmfdir}/dvipdfm/config/updmap
	%{texmfdir}/dvipdfm/config/extmap/*.map
	%{texmfdir}/tex/latex/dvipdfm

%changelog
* Wed Mar 17 2004 Toru Hoshina <t@momonga-linux.org>
- (0.13.3c-16m)
- revised spec for enabling rpm 4.2.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (0.13.3c-15m)
- Requires: tetex-dvipsk.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (0.13.3c-14m)
- PreReq: kpathsea.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (0.13.3c-13m)
- synchronize to tetex.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (0.13.3c-12k)
- /usr/bin/env -> sh-utils in PreReq.

* Sat Apr 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.13.3c-10k)
- rebuild against libpng-1.2.2

* Fri Mar 29 2002 Kenta MURATA <muraken@kondara.org>
- (0.13.3c-8k)
- use updmap for extra font map files.

* Sat Jan 19 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (0.13.3c-6k)
- Fixed changelog typo.

* Fri Jan 18 2002 Motonobu Ichimura <famao@kondara.org>
- (0.13.3c-4k)
- add Require tetex-dvips

* Thu Oct 18 2001 Motonobu Ichimura <famao@kondara.org>
- (0.13.3c-2k)
- sync with Jirai

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (0.13.2b-6k)
- rebuild against libpng 1.2.0.

* Sat Oct 06 2001 Motonobu Ichimura <famao@kondara.org>
- (0.13.2c-3k)
- up to 0.13.2c
- update japanese patch

* Sat Jun 23 2001 Motonobu Ichimura <famao@kondara.org>
- (0.13.2b-4k)
- import to Mary
- Kondarized

* Thu Jun 21 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-4
- apply dvipdfm-jpatch-p0c.patch.gz

* Fri Jun 15 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-3
- add out2uni
- apply printf and pagesize patch.

* Tue Jun 12 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-2
- apply patch-psspecial.c and jpatch-p0b.
